<template>
    <inner-layout>
        <template>
            <section class="inner-content-area">
                <div v-if="product.success">
                    <bread-crumb :breadcrumbs="product.breadcrumbs" :category_name="product.product.default_category.name"
                        :page_type="'product'"></bread-crumb>
                </div>
                <div class="d-block d-lg-none" v-if="product.success">
                    <div class="container mobile_title_product product_detail">
                        <h1 class="m-0">{{ product.product.name }}</h1>
                    </div>
                </div>
                <section class="product_detail">
                    <div v-if="product.success">
                        <product-layout>
                            <template v-slot:slider_data>
                                <slider :product="product.product"></slider>
                            </template>
                            <template v-slot:product>
                                <product-detail :product="product.product"></product-detail>
                            </template>
                            <template v-slot:price_section>
                                <div>
                                    <price-section :product="product.product"
                                        :pricing_locations="product.pricing_locations"></price-section>
                                </div>
                            </template>

                            <template v-slot:tab_content>
                                <tab-content :product="product.product"></tab-content>
                            </template>
                            <template v-slot:call_details>
                                <call-form :product="product.product"></call-form>
                            </template>
                            <template v-slot:suggested_product>
                                <suggested-product :products="product.suggested_products"></suggested-product>
                            </template>
                        </product-layout>
                    </div>
                    <div v-else>
                        <section class="page_content">
                            <div class="container">
                                <div class="v-row">
                                    <div class="col-12">
                                        <h2 class="pl-4">{{ product.name }}</h2>
                                        <h5 class="pl-4">{{ product.msg }}</h5>
                                    </div>
                                </div>
                            </div>
                        </section>
                    </div>
                </section>
            </section>
        </template>
    </inner-layout>
</template>
<script>
import InnerLayout from '~/layouts/inner.vue';
import BreadCrumb from '~/components/front-end/bread-crumb';
import ProductLayout from '~/layouts/product/product-layout.vue';
import ProductDetail from '~/components/front-end/product-detail/product-detail.vue';
export default {
    components: {
        InnerLayout, BreadCrumb,
        CallForm: () => import('~/components/front-end/product-detail/call-form.vue'),
        ProductLayout, Slider: () => import('~/components/front-end/product-detail/slider.vue'), ProductDetail, PriceSection: () => import('~/components/front-end/product-detail/price-detail.vue'), TabContent: () => import('~/components/front-end/product-detail/tab-content.vue'), SuggestedProduct: () => import('~/components/front-end/product-detail/suggested-product.vue')
    },
    props: ['product'],
}
</script>